<VirtualHost *:80>
        ServerName www
	ServerAdmin webmaster@postoffice.intern

	DocumentRoot /etc/debian-edu/www/

	<Directory /etc/debian-edu/www/ >
		Options Indexes FollowSymLinks MultiViews
		AllowOverride None
		Require all granted
	</Directory>
        # Workaround for Spanish pages, making sure they get text/html
        # and not application/ecmascript as their mime type
        <Files *.html.es>
                ForceType text/html
        </Files>

        # Workaround for Norwegian Bokmål pages, making sure they get
        # text/html and not application/matematica as their mime type
        <Files *.html.nb>
                ForceType text/html
        </Files>

	ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/
	<Directory "/usr/lib/cgi-bin">
		AllowOverride None
		Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
		Require all granted
	</Directory>

	ErrorLog /var/log/apache2/error.log

	# Possible values include: debug, info, notice, warn, error, crit,
	# alert, emerg.
	LogLevel warn

	CustomLog /var/log/apache2/access.log combined
	ServerSignature On

    Alias /doc/ "/usr/share/doc/"
    <Directory "/usr/share/doc/">
        Options Indexes MultiViews FollowSymLinks
        AllowOverride None
	Require all denied
        Allow from 127.0.0.0/255.0.0.0 ::1/128
    </Directory>

    # add alias for munin, though it should really be handled by munin itself,
    # rather than assuming /var/www is the defaultroot..
    Alias /munin "/var/cache/munin/www/"
    <Directory /var/cache/munin/www/ >
	Options Indexes FollowSymLinks MultiViews
	AllowOverride None
	Require all granted
    </Directory>
</VirtualHost>
